# Special names here like %{__make} come from /usr/lib/rpm/macros

%define version 0.9
%define name libhideip

Summary:	Library for IP address hiding
Name:		%{name}
Version:	%{version}
Release:	1
URL:		http://libhideip.sf.net
License:	GPLv3+
# group must be one of the listed in /usr/share/doc/rpm-.../GROUPS
Group:		System Environment/Libraries
#Group:		System Utilities
#Packager:	Bogdan Drozdowski <bogdandr@op.pl>
#Prefix:		/usr/local
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-build
BuildRequires:	gcc, glibc, glibc-devel, glibc-headers, make

%description

LibHideIP is a library which intercepts system calls that may lead to
getting your local IP address by programs, which is bad for your privacy.
The potentially-dangerous functions are replaced by safe ones, which return
neutral data.

%prep
%setup -q

%build

CFLAGS='-march=i386' ./configure --prefix=/usr/local --enable-static --enable-shared \
	--mandir=/usr/share/man --infodir=/usr/share/info --libdir=/usr/local/lib \
	--sysconfdir=/usr/local/etc --enable-public-interface
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
DESTDIR="$RPM_BUILD_ROOT" %{__make} install

%preun
#sed -i 's/^.*libhideip.so//g' /etc/ld.so.preload

%post
#ldconfig
#install-info

%postun
#ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#%define _unpackaged_files_terminate_build 0
%files

%defattr(-,root,root)
/usr/local/lib/libhideip.so
/usr/local/lib/libhideip.so.1
/usr/local/lib/libhideip.so.1.4.0
/usr/local/lib/libhideip.la
%doc /usr/share/info/libhideip.info.gz
%doc /usr/share/man/man3/libhideip.3.gz
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog

%changelog

############################################################################

%package devel

Summary:	Library for IP address hiding - development package
Release:	1
URL:		http://libhideip.sf.net
License:	GPLv3+
Group:		Development/Libraries
#Packager:	Bogdan Drozdowski <bogdandr@op.pl>
#Prefix:		/usr/local
#Source:		%{name}-%{version}.tar.gz
Requires:	%{name} = %{version}
BuildRequires:	gcc, glibc, glibc-devel, glibc-headers, make

%files devel

%defattr(-,root,root)
/usr/local/lib/libhideip.a
/usr/local/include/libhideip.h
/usr/local/lib/pkgconfig/libhideip.pc

%description devel

This is the development package for LibHideIP.
LibHideIP is a library which intercepts system calls that may lead to
getting your local IP address by programs, which is bad for your privacy.
The potentially-dangerous functions are replaced by safe ones, which return
neutral data.

